ON_3dPointArray Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_array.h>`

Inheritance diagram for ON_3dPointArray:

## Public Member Functions

| ON_3dPointArray ()
| ON_3dPointArray (int)
| ON_3dPointArray (const ON_SimpleArray< ON_3dPoint > &)
ON_3dPointArray & | operator= (const ON_3dPointArray &)
| ON_3dPointArray (const ON_SimpleArray< ON_3fPoint > &)
ON_3dPointArray & | operator= (const ON_SimpleArray< ON_3fPoint > &)
bool | Create (int point_dimension, int bRational, int point_count, int point_stride, const double *points)
bool | Create (int point_dimension, int bRational, int point_count, int point_stride, const float *points)
ON_BoundingBox | BoundingBox () const
bool | GetBoundingBox (ON_BoundingBox &bbox, int bGrowBox=false) const
bool | GetBBox (double boxmin[3], double boxmax[3], int bGrowBox=false) const
bool | GetTightBoundingBox (ON_BoundingBox &tight_bbox, int bGrowBox=false, const ON_Xform *xform=0) const
bool | Transform (const ON_Xform &xform)
bool | SwapCoordinates (int i, int j)
bool | Rotate (double sin_angle, double cos_angle, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Rotate (double angle_in_radians, const ON_3dVector &axis_of_rotation, const ON_3dPoint &center_of_rotation)
bool | Translate (const ON_3dVector &delta)
bool | GetClosestPoint (ON_3dPoint P, int *closest_point_index, double maximum_distance=0.0) const
Public Member Functions inherited from ON_SimpleArray< ON_3dPoint >
| ON_SimpleArray ()
| ON_SimpleArray (int)
| ON_SimpleArray (const ON_SimpleArray< ON_3dPoint > &)
virtual | ~ON_SimpleArray ()
virtual ON_SimpleArray< ON_3dPoint > & | operator= (const ON_SimpleArray< ON_3dPoint > &)
void | EmergencyDestroy (void)
int | Count () const
unsigned int | UnsignedCount () const
int | Capacity () const
unsigned int | SizeOfArray () const
unsigned int | SizeOfElement () const
ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
ON_3dPoint & | operator[] (int)
ON_3dPoint & | operator[] (unsigned int)
ON_3dPoint & | operator[] (ON__INT64)
ON_3dPoint & | operator[] (ON__UINT64)
const ON_3dPoint & | operator[] (int) const
const ON_3dPoint & | operator[] (unsigned int) const
const ON_3dPoint & | operator[] (ON__INT64) const
const ON_3dPoint & | operator[] (ON__UINT64) const
| operator ON_3dPoint * ()
| operator const ON_3dPoint * () const
ON_3dPoint * | First ()
const ON_3dPoint * | First () const
ON_3dPoint * | At (int)
ON_3dPoint * | At (unsigned int)
ON_3dPoint * | At (ON__INT64)
ON_3dPoint * | At (ON__UINT64)
const ON_3dPoint * | At (int) const
const ON_3dPoint * | At (unsigned int) const
const ON_3dPoint * | At (ON__INT64) const
const ON_3dPoint * | At (ON__UINT64) const
ON_3dPoint * | Last ()
const ON_3dPoint * | Last () const
ON_3dPoint & | AppendNew ()
void | Append (const ON_3dPoint &)
void | Append (int, const ON_3dPoint *)
void | Insert (int, const ON_3dPoint &)
void | Remove ()
virtual void | Remove (int)
void | Empty ()
void | Reverse ()
void | Swap (int, int)
int | Search (const ON_3dPoint &) const
int | Search (const ON_3dPoint *, int(*)(const ON_3dPoint *, const ON_3dPoint *)) const
int | BinarySearch (const ON_3dPoint *, int(*)(const ON_3dPoint *, const ON_3dPoint *)) const
int | BinarySearch (const ON_3dPoint *, int(*)(const ON_3dPoint *, const ON_3dPoint *), int) const
bool | HeapSort (int(*)(const ON_3dPoint *, const ON_3dPoint *))
bool | QuickSort (int(*)(const ON_3dPoint *, const ON_3dPoint *))
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_3dPoint *, const ON_3dPoint *)) const
bool | Sort (ON::sort_algorithm sort_algorithm, int *, int(*)(const ON_3dPoint *, const ON_3dPoint *, void *), void *) const
bool | Permute (const int *)
void | Zero ()
void | MemSet (unsigned char)
void | Reserve (int)
void | Shrink ()
void | Destroy ()
virtual ON_3dPoint * | Realloc (ON_3dPoint *, int)
ON_3dPoint * | Array ()
const ON_3dPoint * | Array () const
void | SetCount (int)
void | SetCapacity (int)
int | NewCapacity () const
ON_3dPoint * | KeepArray ()
void | SetArray (ON_3dPoint *)
void | SetArray (ON_3dPoint *, int, int)

## Additional Inherited Members

Protected Member Functions inherited from ON_SimpleArray< ON_3dPoint >
void | Move (int, int, int)
Protected Attributes inherited from ON_SimpleArray< ON_3dPoint >
ON_3dPoint * | m_a
int | m_count
int | m_capacity

## Detailed Description

Definition at line 459 of file opennurbs_array.h.

## Constructor & Destructor Documentation

## ON_3dPointArray() [1/4]

ON_3dPointArray::ON_3dPointArray | ( |  | ) |

## ON_3dPointArray() [2/4]

ON_3dPointArray::ON_3dPointArray | ( | int |  | ) |

## ON_3dPointArray() [3/4]

ON_3dPointArray::ON_3dPointArray | ( | const ON_SimpleArray< ON_3dPoint > & |  | ) |

## ON_3dPointArray() [4/4]

ON_3dPointArray::ON_3dPointArray | ( | const ON_SimpleArray< ON_3fPoint > & |  | ) |

## Member Function Documentation

## BoundingBox()

ON_BoundingBox ON_3dPointArray::BoundingBox | ( |  | ) | const

## Create() [1/2]

bool ON_3dPointArray::Create | ( | int | point_dimension,
|  | int | bRational,
|  | int | point_count,
|  | int | point_stride,
|  | const double * | points
| ) |  |

## Create() [2/2]

bool ON_3dPointArray::Create | ( | int | point_dimension,
|  | int | bRational,
|  | int | point_count,
|  | int | point_stride,
|  | const float * | points
| ) |  |

## GetBBox()

bool ON_3dPointArray::GetBBox | ( | double | boxmin[3],
|  | double | boxmax[3],
|  | int | bGrowBox = `false`
| ) |  | const

## GetBoundingBox()

bool ON_3dPointArray::GetBoundingBox | ( | ON_BoundingBox & | bbox,
|  | int | bGrowBox = `false`
| ) |  | const

## GetClosestPoint()

bool ON_3dPointArray::GetClosestPoint | ( | ON_3dPoint | P,
|  | int * | closest_point_index,
|  | double | maximum_distance = `0.0`
| ) |  | const

## GetTightBoundingBox()

bool ON_3dPointArray::GetTightBoundingBox | ( | ON_BoundingBox & | tight_bbox,
|  | int | bGrowBox = `false`,
|  | const ON_Xform * | xform = `0`
| ) |  | const

## operator=() [1/2]

ON_3dPointArray& ON_3dPointArray::operator= | ( | const ON_3dPointArray & |  | ) |

## operator=() [2/2]

ON_3dPointArray& ON_3dPointArray::operator= | ( | const ON_SimpleArray< ON_3fPoint > & |  | ) |

## Rotate() [1/2]

bool ON_3dPointArray::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

## Rotate() [2/2]

bool ON_3dPointArray::Rotate | ( | double | angle_in_radians,
|  | const ON_3dVector & | axis_of_rotation,
|  | const ON_3dPoint & | center_of_rotation
| ) |  |

## SwapCoordinates()

bool ON_3dPointArray::SwapCoordinates | ( | int | i,
|  | int | j
| ) |  |

## Transform()

bool ON_3dPointArray::Transform | ( | const ON_Xform & | xform | ) |

## Translate()

bool ON_3dPointArray::Translate | ( | const ON_3dVector & | delta | ) |

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_array.h